services:
  backend:
    build:
      context: ./backend
      args:
        - DATABASE_URL=${DATABASE_URL}
    ports:
      - "8000:8000"
    depends_on:
      - redis
    environment:
      - ROCKET_SECRET_KEY=${ROCKET_SECRET_KEY}
      - DATABASE_URL=${DATABASE_URL}
  redis:
    image: docker.io/library/redis:alpine
    ports:
      - "6379:6379"
